
Name: 	    	binutils-%{CROSS_ARCH}
Version:    	2.16.90.0.3
Release:    	7mdk

Source:     	binutils-%{version}.tar.bz2
Patch1:		binutils-%{version}-h8300.diff.bz2
Patch2:		binutils-%{version}-sh64.diff.bz2
Patch3:		binutils-%{version}-mips.diff.bz2

Summary:    	cross binutils stuff for %{CROSS_ARCH}.
Group:      	Development

Copyright:      GPL
Provides:       %name = %version-%release

Buildroot:	%{_tmppath}/%name-%version-root

%define		arch_name %{CROSS_ARCH}-elf-linux
%define		build_dir binutils-%version-%{arch_name}.build

%description
This package provides cross compiling binutils 
for the %{CROSS_ARCH}-elf architecture tailored
to cross compile the linux kernel.

%prep
%setup -q -n binutils-%version
%patch1 -p1 -b .h8300
%patch2 -p1 -b .sh64
%patch3 -p1 -b .mips

%setup -q -c -T -n %build_dir

%build

../binutils-%version/configure       	    	\
        --disable-nls                           \
        --prefix=/usr                           \
        --mandir=%{_mandir}			\
        --infodir=%{_infodir}			\
        --target=%arch_name	

%make 

%install
rm -rf $RPM_BUILD_ROOT
%make DESTDIR=$RPM_BUILD_ROOT install

find  $RPM_BUILD_ROOT/usr/{%arch_name/,}bin -type f | xargs strip -s

rm -f $RPM_BUILD_ROOT/usr/share/info/*
rm -f $RPM_BUILD_ROOT/usr/lib/libiberty.a


%clean
rm -rf ../%build_dir
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/%arch_name
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri May 13 2005 Herbert Ptzl <herbert@13thfloor.at> 7mdk
- fixed up h8300, sh64 and mips

* Sat Apr 16 2005 Herbert Ptzl <herbert@13thfloor.at> 6mdk
- final? cleanup ;)

* Sun Apr 10 2005 Herbert Ptzl <herbert@13thfloor.at> 5mdk
- updated, extended, cleaned up

* Sun Oct 24 2004 Herbert Ptzl <herbert@13thfloor.at> 4mdk
- updated, fixed exclude stuff

* Wed Apr 28 2004 Herbert Ptzl <herbert@13thfloor.at> 3mdk
- updated

* Sat Jan 31 2004 Herbert Ptzl <herbert@13thfloor.at> 2mdk
- updated, fixed some archs

* Fri Jan 23 2004 Herbert Ptzl <herbert@13thfloor.at>
- first try ;)

